    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.util.zip.ZipInputStream

    java.lang.Object
       |
       +----java.io.InputStream
               |
               +----java.io.FilterInputStream
                       |
                       +----java.util.zip.InflaterInputStream
                               |
                               +----java.util.zip.ZipInputStream

public class ZipInputStream
extends InflaterInputStream
implements ZipConstants

This class implements an input stream filter for reading files in the ZIP file format. Includes support for both compressed and uncompressed entries.

##

ZipInputStream(InputStream)
  Creates a new ZIP input stream.

##

close()
  Closes the ZIP input stream.
closeEntry()
  Closes the current ZIP entry and positions the stream for reading the next entry.
getNextEntry()
  Reads the next ZIP file entry and positions stream at the beginning of the entry data.
read(byte[], int, int)
  Reads from the current ZIP entry into an array of bytes.
skip(long)
  Skips specified number of bytes in the current ZIP entry.

##

ZipInputStream

     public ZipInputStream(InputStream in)

  Creates a new ZIP input stream.

  Parameters:
    in - the actual input stream

##

getNextEntry

     public ZipEntry getNextEntry() throws IOException

  Reads the next ZIP file entry and positions stream at the beginning of the entry data.

  Throws: ZipException
    if a ZIP file error has occurred
  Throws: IOException
    if an I/O error has occurred

closeEntry

     public void closeEntry() throws IOException

  Closes the current ZIP entry and positions the stream for reading the next entry.

  Throws: ZipException
    if a ZIP file error has occurred
  Throws: IOException
    if an I/O error has occurred

read

     public int read(byte b[],
                     int off,
                     int len) throws IOException

  Reads from the current ZIP entry into an array of bytes. Blocks until some input is available.

  Parameters:
    b - the buffer into which the data is read
    off - the start offset of the data
    len - the maximum number of bytes read
  Returns:
    the actual number of bytes read, or -1 if the end of the entry is reached
  Throws: ZipException
    if a ZIP file error has occurred
  Throws: IOException
    if an I/O error has occurred
  Overrides:
    read in class InflaterInputStream

skip

     public long skip(long n) throws IOException

  Skips specified number of bytes in the current ZIP entry.

  Parameters:
    n - the number of bytes to skip
  Returns:
    the actual number of bytes skipped
  Throws: ZipException
    if a ZIP file error has occurred
  Throws: IOException
    if an I/O error has occurred
  Overrides:
    skip in class InflaterInputStream

close

     public void close() throws IOException

  Closes the ZIP input stream.

  Throws: IOException
    if an I/O error has occurred
  Overrides:
    close in class FilterInputStream

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.